<?php

namespace App\Observers\Modules;

use App\Models\Modules\Shift;

class ShiftObserver
{
    public function deleting(Shift $shift): void
    {
        // Avoid Delete default Shift
        if (in_array($shift->id, [1]))
            throw new \Exception("Default shift cannot be Deleted.");
    }
}
